package ch.zhaw.gartenverwaltung;

import ch.zhaw.gartenverwaltung.types.HardinessZone;
import javafx.beans.property.BooleanProperty;
import javafx.beans.property.SimpleBooleanProperty;

public class Settings {
    private HardinessZone currentHardinessZone = HardinessZone.ZONE_8A;
    private static Settings instance;
    private final BooleanProperty showTutorial = new SimpleBooleanProperty(false);

    static {
        instance = new Settings();
    }

    public static Settings getInstance() {
        return Settings.instance;
    }

    private Settings() {}

    public HardinessZone getCurrentHardinessZone() {
        return currentHardinessZone;
    }

    public void setCurrentHardinessZone(HardinessZone currentHardinessZone) {
        this.currentHardinessZone = currentHardinessZone;
    }

    public void setShowTutorial (boolean showTutorial) {
        this.showTutorial.setValue(showTutorial);
    }

    public BooleanProperty getShowTutorialProperty() {
        return this.showTutorial;
    }

    public boolean getShowTutorial() {
        return this.showTutorial.get();
    }
}
